data_paths:
  raw_data_path: 'data/raw/Alarm_History.csv'
  interim_data_path: 'data/interim/cleaned_alarm_data.csv'
  processed_data_dir: 'data/processed/'
  external_data_path: 'data/external/cleaned_alarm_data.csv'
  encoded_labels: &encoded_labels 'data/interim/label_encoders_info.yaml'

preprocessing: 
  threshold: 7
  
training_processing:
  seed: 42
  features:
    !include configs/features/all_features.yaml
    
mlflow:
  tracking_uri: 'http://localhost:5000'
  experiment_name: 'New_features_Alarm_Processing_Experiment'
  
  artifact_location: 'mlruns'
  tags:
    model: 'RF basic model'
    data: 'SMOTE'
    features: 'All features'
    split: 'KFoldStratified'

model_training:
  !include configs/model_training/CatBoost.yaml

inference:
  model_path: 'models/CatBoost/model.pkl'
  inference_data_dir: 'data/external'
  encoded_labels: 'data/interim/label_encoders_info.yaml'
  features:
    !include configs/features/model_features.yaml

streamlit_app:
  # inference_endpoint: "http://127.0.0.1:8000/predict"
  inference_endpoint: 'http://fastapi:8000/predict'  # fastapi: service name in docker-compose
  encoded_labels: *encoded_labels